package com.company.demo.entity;

import com.haulmont.cuba.core.global.DataManager;
import org.springframework.stereotype.Service;

import javax.inject.Inject;
import java.util.List;

@Service(StudentService.NAME)
public class StudentServiceBean implements StudentService {

    @Inject
    private DataManager dataManager;

    @Override
    public List<Student> loadByClazzesAndGender(List<Clazz> clazzes, Gender gender) {
        List<Student> students = dataManager.load(Student.class)
                .query("select s from demo_Student s where s.clazz in :clazz and s.gender = :gender")
                .parameter("clazz", clazzes)
                .parameter("gender", gender.getId())
                .view("student-with-clazz-view")
                .list();
        return students;
    }

    @Override
    public List<Student> loadByClazzes(List<Clazz> clazzes) {
        List<Student> students = dataManager.load(Student.class)
                .query("select s from demo_Student s where s.clazz in :clazz")
                .parameter("clazz", clazzes)
                .view("student-with-clazz-view")
                .list();
        return students;
    }

    @Override
    public List<Student> loadByGender(Gender gender) {
        List<Student> students = dataManager.load(Student.class)
                .query("select s from demo_Student s where s.gender = :gender")
                .parameter("gender", gender.getId())
                .view("student-with-clazz-view")
                .list();
        return students;
    }
}