package com.company.demo.web.screens.student;

import com.company.demo.entity.*;
import com.haulmont.cuba.gui.model.CollectionContainer;
import com.haulmont.cuba.gui.screen.*;

import javax.inject.Inject;
import java.util.List;

@UiController("demo_Student.browse")
@UiDescriptor("student-browse.xml")
@LookupComponent("table")
@LoadDataBeforeShow
public class StudentBrowse extends MasterDetailScreen<Student> {


    @Inject
    private ClazzService clazzService;
    @Inject
    private StudentService studentService;
    @Inject
    private CollectionContainer<Student> studentsDc;

    public void testQueryOfCondition() {
        List<Student> students = studentService.loadByGender(Gender.Female);
        studentsDc.setItems(students);
    }

    public void testQueryOfConditionIn1() {
        List<Clazz> clazzList = clazzService.loadByNameLike("三年");
        List<Student> students = studentService.loadByClazzesAndGender(clazzList, Gender.Female);
        studentsDc.setItems(students);
    }

    public void testQueryOfConditionIn2() {
        List<Clazz> clazzList = clazzService.loadByNameLike("三年");
        List<Student> students = studentService.loadByClazzes(clazzList);
        studentsDc.setItems(students);
    }
}